package com.prodhack.moscow2025.domain.interfaces

import com.prodhack.moscow2025.domain.models.LoginData
import com.prodhack.moscow2025.domain.models.RegisterData
import kotlinx.coroutines.flow.Flow
import org.koin.core.annotation.Single


interface AuthRepository {
	fun fetchLoginState(): Flow<Boolean>

	suspend fun signUpRequest(request: RegisterData): Result<String>

	suspend fun signInRequest(request: LoginData): Result<String>

	suspend fun clearLoginData()
}